<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.logging.logger">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="category,filter,filter-spec,handlers,level,use-parent-handlers"/>
        <elem name="addr-params" value="profile,subsystem,logger"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.logger.$logger"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.logging.filter.$filter-spec" optional="true"/>
        <capability name="$profile.org.wildfly.logging.handler.$handlers" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="filter" nillable="true"/>
        <param name="filter-spec" nillable="true"/>
        <param name="level" nillable="true"/>
        <param name="handlers" nillable="true" type="List&lt;String&gt;"/>
        <param name="logger" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="category" nillable="true"/>
        <param name="use-parent-handlers" nillable="true"/>
    </params>
</feature-spec>